<?php

/*******************************************************************************************/
/*
/*    	Package Anton.zip
/*	    Anton Free Joomla! 1.5 Template - July 2011
/*	    Version 1.1
/*	    Author: http://templatesforjoomla.eu
/*	    Copyright (C) 2011 http://templatesforjoomla.eu and All Rights Reserved.
/*		Email: contact@templatesforjoomla.eu
/*
/*		This template/design is released under the Creative Commons Attribution 3.0 license.
/*
/*      This means that it can be used for private and commercial purposes, edited freely 
/*		or redistributed as long as you keep the link back to template sponsors: http://templatesforjoomla.eu
/*
/*      You CAN NOT remove (or unreadable) these links without our permission. 
/*		When you don't want to have link back on the template footer or want to use our templates for commercial websites, 
/*		you have to pay 9 euro via PayPal: contact@templatesforjoomla.eu 
/*
/*******************************************************************************************/

defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />
	<link href='http://fonts.googleapis.com/css?family=Anton&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/offline.css" type="text/css" />
</head>
<body>
<jdoc:include type="message" />
	<div id="box">
     <div class="outline">
          <p><?php echo $mainframe->getCfg('offline_message'); ?></p>
          <?php if(JPluginHelper::isEnabled('authentication', 'openid')) : ?>
          <?php JHTML::_('script', 'openid.js'); ?>
          <?php endif; ?>
          <form action="index.php" method="post" name="login" id="form-login">
               <fieldset class="input">
                    <p class="username">
                         <label for="username"><?php echo JText::_('Username') ?></label>
                         <br />
                         <input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('Username') ?>" size="18" />
                    </p>
                    <p class="password">
                         <label for="passwd"><?php echo JText::_('Password') ?></label>
                         <br />
                         <input type="password" name="passwd" class="inputbox" size="18" alt="<?php echo JText::_('Password') ?>" id="passwd" />
                    </p>
                    <p class="remember">
                         <label for="remember"><?php echo JText::_('Remember me') ?></label>
                         <input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('Remember me') ?>" id="remember" />
                    </p>
                    <div class="buttons">
                         <input type="submit" name="Submit" class="button" value="<?php echo JText::_('LOGIN') ?>" />
                    </div>
               </fieldset>
               <input type="hidden" name="option" value="com_user" />
               <input type="hidden" name="task" value="login" />
               <input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
               <?php echo JHTML::_( 'form.token' ); ?>
          </form>
     </div>
</div>
</body>
</html>